summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorAaron Plattner <aplattner@nvidia.com>2010-08-15 17:06:13 -0700
committerAaron Plattner <aplattner@nvidia.com>2010-08-15 17:07:59 -0700
commit0b1d159c87a5f2412fd2be1915d07e257952cdba (patch)
treeeaa0a6f34c376a3da86b0ea299dd1dd46e452e01
parentb2eac650e158f7d56ebed55ca7603db614b1d415 (diff)
check.sh: Treat TET_EXIT_SKIP as success
TET_EXIT_SKIP is considered higher priority than TET_EXIT_SUCCESS in tcc, but only TET_EXIT_FAILURE really counts as a failure return code. _SKIP just means that some of the assertions couldn't be reliably tested. Signed-off-by: Aaron Plattner <aplattner@nvidia.com>
-rw-r--r--check.sh.in8
1 files changed, 7 insertions, 1 deletions
diff --git a/check.sh.in b/check.sh.in
index 441d48b7..8d8606c8 100644
--- a/check.sh.in
+++ b/check.sh.in
@@ -39,4 +39,10 @@ if [ ! -f "$config" ]; then
fi
fi
-exec "$SHELL" "$XTS_RUN" -c "$config" -o results "$@"
+"$SHELL" "$XTS_RUN" -c "$config" -o results "$@"
+case $? in
+ # Treat TET_EXIT_SUCCESS and TET_EXIT_SKIP as success. SKIP just means that
+ # not all of the tests could be run.
+ 0|77) exit 0;;
+ *) exit 1;;
+esac